packages gnome-sharp.spec
      Pages: < 1 >  DOWNLOAD      
%define        majversion  %(echo %version | cut -d. -f 1-2)

Name:          gnome-sharp
Version:       2.24.2
Release:       2mamba
Summary:       A set of .NET bindings for the GNOME libraries
Group:         Development/Languages
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@...>
URL:           http://www.mono-project.com/GtkSharp
Source:        http://ftp.gnome.org/pub/GNOME/sources/gnome-sharp/%{majversion}/gnome-sharp-%{version}.tar.bz2
Patch0:        %{name}-2.16.1-gtkhtml-3.14.patch
License:       LGPL
Requires:      mono-core
## AUTOBUILDREQ-BEGIN
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: libart_lgpl-devel
BuildRequires: libatk-devel
BuildRequires: libaudiofile-devel
BuildRequires: libavahi-devel
BuildRequires: libbonobo-devel
BuildRequires: libbonoboui-devel
BuildRequires: libcairo-devel
BuildRequires: libdbus-devel
BuildRequires: libdbus-glib-devel
BuildRequires: libe2fs-devel
BuildRequires: libesound-devel
BuildRequires: libexpat-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libglib-devel
BuildRequires: libglitz-devel
BuildRequires: libgnomecanvas-devel
BuildRequires: libgnome-devel
BuildRequires: libgnome-keyring-devel
BuildRequires: libgnomeui-devel
BuildRequires: libgnome-vfs-devel
BuildRequires: libgtk-devel
BuildRequires: libICE-devel
BuildRequires: libopenssl-devel
BuildRequires: libpango-devel
BuildRequires: libpixman-devel
BuildRequires: libpng-devel
BuildRequires: libpopt-devel
BuildRequires: libselinux-devel
BuildRequires: libSM-devel
BuildRequires: libssp-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libxcb-devel
BuildRequires: libxcb-util-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdamage-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXinerama-devel
BuildRequires: libxml2-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libz-devel
BuildRequires: mono-core
BuildRequires: ORBit2-devel
## AUTOBUILDREQ-END
BuildRequires: mono-devel
BuildRequires: gtk-sharp-devel
BuildRequires: librsvg-devel
BuildRequires: libgtkhtml3-devel
BuildRequires: libvte-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Gnome#, a GUI Toolkit, is a set of .NET bindings for the GNOME (http://www.gnome.org/) libraries.

%package devel
Summary:       Static libraries and headers for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Gnome#, a GUI Toolkit, is a set of .NET bindings for the GNOME (http://www.gnome.org/) libraries.

This package contains static libraries and header files need for development.

%prep
%setup -q
#%patch0 -p1
aclocal
autoconf
libtoolize

%build
%configure
%make -j1

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/*.so
%{_prefix}/lib/mono/*/*art-sharp*
%{_prefix}/lib/mono/*/*gconf-sharp*
%{_prefix}/lib/mono/*/*gnome-sharp*
%{_prefix}/lib/mono/*/*gnome-vfs-sharp*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_bindir}/gconfsharp*
%{_prefix}/lib/gtk-sharp-?.?/gconfsharp*
%{_libdir}/*.a
%{_libdir}/*.la
%{_datadir}/gapi-?.?/*.xml
%{_libdir}/pkgconfig/*.pc
%doc ChangeLog NEWS README

%changelog
* Tue Jan 11 2011 Silvan Calarco <silvan.calarco@...> 2.24.2-2mamba
- rebuilt with mono 2.8.2

* Sun Oct 10 2010 Automatic Build System <autodist@...> 2.24.2-1mamba
- automatic update to 2.24.2 by autodist

* Mon May 18 2009 Automatic Build System <autodist@...> 2.24.1-2mamba
- automatic rebuild by autodist

* Sun Mar 22 2009 Silvan Calarco <silvan.calarco@...> 2.24.1-1mamba
- update to 2.24.1

* Tue Jan 06 2009 Silvan Calarco <silvan.calarco@...> 2.16.1-1mamba
- automatic update by autodist

* Sun Jul 01 2007 Stefano Cotta Ramusino <stefano.cotta@...> 2.16.0-1mamba
- package created by autospec